페이스북 로그인 API 사용시 curl PHP extention 오류처리

코드이그나이터 프레임워크로 웹 개발을 하면서 페이스북으로 로그인 처리를 연동하는데 잘 안되어 로그메시지를 보니 다음과 같은 CURL extension 설치가 필요하다는 것을 알 수 있었다.

PHP Extension CURL Error

사용하는 PHP버전은 5.4대 이고, 이전 버전들과 달리 php.ini에서 curl 부분 주석을 해제하는 방식으로는 문제가 해결되지 않는다.

먼저는 curl 패키지를 설치한다.

그리고 난 후 php5enmod라는 명령어를 통해서 curl 라이브러리를 등록하면 된다.

명령을 실행하고 나면 php5 폴더 밑 mods-available에 curl.ini이 추가된 것을 확인할 수 있다.

php5.4 curl참고: http://www.lornajane.net/posts/2012/managing-php-5-4-extensions-on-ubuntu